package com.shibofu.spring.quartz;

import org.quartz.*;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @ClassName QuartzConfig
 * @Description
 * @Author linjj
 * @Date 2023/8/14 15:47
 * @Version 1.0
 */
@Configuration
public class QuartzConfig {

    @Value("${quartzTime}")
    private String quartzTime;

    @Bean
    public JobDetail teatQuartzDetail() {

        return JobBuilder.newJob(PacsQuartz.class).withIdentity("PacsQuartz").storeDurably().build();

    }

    @Bean
    public Trigger testQuartzTrigger() {

        return TriggerBuilder.newTrigger().forJob(teatQuartzDetail())

                .withIdentity("PacsQuartz")
                .withSchedule(CronScheduleBuilder.cronSchedule(quartzTime))
                .build();

    }


}
